deb-origin(5)

NAME
deb-origin - Vendor-specific information files

SYNOPSIS
/opt/local/etc/dpkg/origins/filename

DESCRIPTION
The files in /opt/local/etc/dpkg/origins can provide information about various vendors who are providing Debian packages.

They contain a number of fields, or comments when the line starts with ‘#’. Each field begins with a tag, such as Vendor or Parent, followed by a colon and the body of the field. Fields are delimited only by field tags. In other words, field text may be multiple lines in length, but the tools will join lines when processing the body of the field.

The file should be named according to the vendor name. The usual convention is to name the vendor file using the vendor name in all lowercase, but some variation is permitted. Namely, spaces are mapped to dashes (‘-’), and the file can have the same casing as the value in Vendor field, or it can be capitalized.

FIELDS

Vendor: vendor-name (required)
    The value of this field determines the vendor name.

Vendor-URL: vendor-url
    The value of this field determines the vendor URL.

Bugs: bug-url
    The value of this field determines the type and address of the bug tracking system used by this vendor. It can be a mailto URL or a debbugs URL (e.g., debbugs://bugs.debian.org/).

Parent: vendor-name
    The value of this field determines the vendor name of the vendor that this vendor derives from.

EXAMPLE
 Vendor: Debian
 Vendor-URL: https://www.debian.org/
 Bugs: debbugs://bugs.debian.org

SEE ALSO
dpkg-vendor(1)